# Check if an attribute exists

from maptek import vulcan

input_tri = 'pit_solid.00t'  # triangulation to use

attribute = 'grade'  # attribute we want to check

with vulcan.tri_attributes(input_tri) as tri:  # open triangulation in read mode
    exists = tri.exists(attribute)  # true if the attribute exists, false if the attribute does not exist
    print(f"{exists}")